%global srcname requests-file
Summary:        Transport adapter for using file:// URLs with python-requests
Name:           python-%{srcname}
Version:        1.5.1
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://github.com/dashea/requests-file
Source0:        https://files.pythonhosted.org/packages/50/5c/d32aeed5c91e7970ee6ab8316c08d911c1d6044929408f6bbbcc763f8019/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python
library to allow local file system access via file:// URLs.

%package -n python3-requests-file
Summary:        Transport adapter for using file:// URLs with python3-requests
Provides:       python3-%{srcname} = %{version}-%{release}

BuildRequires:  python3-devel python3-pytest python3-setuptools
BuildRequires:  python3-requests python3-six

Requires:       python3-requests python3-six

%description -n python3-requests-file
Requests-File is a transport adapter for use with the Requests Python
library to allow local file system access via file:// URLs.

This is the Python 3 version of the requests_file module

%prep
%autosetup -n %{srcname}-%{version}
rm -rf requests_file.egg-info

%build
%py3_build

%install
%py3_install

%check
%{pytest}

%files -n python3-requests-file
%license LICENSE
%doc README.rst
%{python3_sitelib}/requests_file.py*
%{python3_sitelib}/__pycache__/requests_file.*
%{python3_sitelib}/requests_file*.egg-info*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed May 10 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.5.1-4
- adjust changelog

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.5.1-1
- package init.
